
From: David Teigland <teigland@redhat.com>

Don't free an rsb's lvb before calling free_rsb() because free_rsb() does
that.

Signed-off-by: David Teigland <teigland@redhat.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/dlm/lockspace.c |    8 --------
 1 files changed, 8 deletions(-)

diff -puN drivers/dlm/lockspace.c~dlm-lockspaces-callbacks-directory-dlm-dont-free-lvb-twice drivers/dlm/lockspace.c
--- 25/drivers/dlm/lockspace.c~dlm-lockspaces-callbacks-directory-dlm-dont-free-lvb-twice	2005-06-06 00:14:30.000000000 -0700
+++ 25-akpm/drivers/dlm/lockspace.c	2005-06-06 00:14:30.000000000 -0700
@@ -468,10 +468,6 @@ static int release_lockspace(struct dlm_
 					 res_hashchain);
 
 			list_del(&rsb->res_hashchain);
-
-			if (rsb->res_lvbptr)
-				free_lvb(rsb->res_lvbptr);
-
 			free_rsb(rsb);
 		}
 
@@ -480,10 +476,6 @@ static int release_lockspace(struct dlm_
 			rsb = list_entry(head->next, struct dlm_rsb,
 					 res_hashchain);
 			list_del(&rsb->res_hashchain);
-
-			if (rsb->res_lvbptr)
-				free_lvb(rsb->res_lvbptr);
-
 			free_rsb(rsb);
 		}
 	}
_
